=== debian/changelog ===
scheme9 (2009.09.06-3) unstable; urgency=low

  * bump deb standards
  * Switch to dpkg-source 3.0 (quilt) format

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Mar 2010 18:56:41 +0000

scheme9 (2009.09.06-2) unstable; urgency=low

  * Default definition for MAXPATHLEN (needed by Hurd port)
  * Tweak two tiny typos

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 20 Jan 2010 18:16:13 +0100

scheme9 (2009.09.06-1) unstable; urgency=low

  * New Upstream Version
  * rev deb std

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 08 Sep 2009 14:02:52 -0400

scheme9 (2009.08.14-2) unstable; urgency=low

  * Deal w/ missing -Dunix for arch powerpc

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 24 Aug 2009 19:32:46 +0200

scheme9 (2009.08.14-1) unstable; urgency=low

  * New Upstream Version
  * fix missing -Dunix in Makefile for sc.o

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 18 Aug 2009 08:52:45 +0200

scheme9 (2009.08.11-2) unstable; urgency=low

  * s9sc, graphical system now included, needs X11 to build (closes: #541720)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 16 Aug 2009 08:41:20 +0200

scheme9 (2009.08.11-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 14 Aug 2009 20:18:29 +0200

scheme9 (2009.07.25-1) unstable; urgency=low

  * New Upstream Version
  * fix fatal s9sc typo in new upstream Makefile
  * squash some compiler warnings in building s9sc

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 25 Jul 2009 17:14:28 +0200

scheme9 (2009.07.08-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 08 Jul 2009 20:35:40 +0100

scheme9 (2009.07.05-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 05 Jul 2009 09:47:06 +0200

scheme9 (2009.07.04-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 04 Jul 2009 11:37:29 +0200

scheme9 (2009.07.01-1) unstable; urgency=low

  * rev deb std
  * fix minor Makefile bug in processing manpage .in files
  * quash s9(1) warning via aggressive soft hyphenation of default search path
  * distinguish unicode hyphen and ascii dash in man pages
  * New Upstream Version
  * upstream patch

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 01 Jul 2009 21:15:40 +0200

scheme9 (2009.06.26-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 27 Jun 2009 21:50:12 +0100

scheme9 (2009.06.25-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Jun 2009 18:11:11 +0200

scheme9 (2009.06.15-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 15 Jun 2009 15:58:45 +0100

scheme9 (2009.06.08-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 08 Jun 2009 15:44:54 +0100

scheme9 (2009.06.07-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 07 Jun 2009 14:12:53 +0100

scheme9 (2009.06.06-1) unstable; urgency=low

  * New Upstream Version
  * work around s2 = 0.0 reader bug, add test case for this
  * missing prototype for forward ref of bignum_abs() in s9.c
  * merge upstream patch for s2 reader bug

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 07 Jun 2009 08:34:33 +0100

scheme9 (2009.06.05-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 05 Jun 2009 13:15:04 +0100

scheme9 (2009.06.04-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 04 Jun 2009 13:51:28 +0100

scheme9 (2009.06.03-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 03 Jun 2009 15:23:39 +0100

scheme9 (2009.06.02-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 02 Jun 2009 13:34:35 +0100

scheme9 (2009.06.01-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 01 Jun 2009 15:17:00 +0100

scheme9 (2009.05.31-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 31 May 2009 09:49:32 +0100

scheme9 (2009.05.28-2) unstable; urgency=low

  * Enable compiler warnings and optimization
  * Flush unused variable x in print_real()
  * Be consistent about 2nd arg to make_real, for 64-bit machines (closes: #530864)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 28 May 2009 14:44:50 +0100

scheme9 (2009.05.28-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 28 May 2009 10:16:51 +0100

scheme9 (2009.05.26-1) unstable; urgency=low

  * New Upstream Version
  * Avoid gratuitous differences with upstream Makefile

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 26 May 2009 15:16:20 +0100

scheme9 (2009.05.23-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 23 May 2009 19:38:30 +0100

scheme9 (2009.05.22-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 22 May 2009 15:38:03 +0100

scheme9 (2009.05.20-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 20 May 2009 11:25:29 +0100

scheme9 (2009.05.17-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 17 May 2009 10:24:33 +0100

scheme9 (2009.05.16-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 16 May 2009 16:30:47 +0100

scheme9 (2009.05.14-1) unstable; urgency=low

  * New Upstream Version
  * Makefile portability and correctness tweaks

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 14 May 2009 10:20:23 +0100

scheme9 (2009.05.13-2) unstable; urgency=low

  * Use portable automatic variables in Makefile where possible

