=== debian/rules ===
#!/usr/bin/make -f

# binary-arch binary-indep binary install build clean:
%:
	dh $@

override_dh_auto_configure:
	echo Calling ./configure unnecessary as ./Makefile already patched for debian.

override_dh_auto_build:
	dh_auto_build -- prefix=/usr

override_dh_auto_install:
	dh_auto_install -- prefix=/usr
