=== debian/watch ===
version=3
http://t3x.org/s9fes/s9fes-(\d\d\d\d)(\d\d)(\d\d)\.tar\.gz
http://t3x.org/s9fes/s9fes-(\d\d\d\d)(\d\d)(\d\d)(.+)\.tar\.gz
