=== debian/changelog ===
scheme9 (2010.11.13-2) unstable; urgency=low

  * curses!  foiled again.  (closes: #635869)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 29 Jul 2011 13:46:35 +0100

scheme9 (2010.11.13-1) unstable; urgency=low

  * bump standards version (debian/control)
  * dh --parallel (debian/rules)
  * dh 8 (debian/compat, debian/control)
  * new upstream version
  * tiny man page tweaks
  * quilt patches:
    - migrate some modifications (all but s9(1) man page)
    - parallel safe tweaks to Makefile
    - test script search path and parallelisation
    - silence minor GCC warning

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 28 Jul 2011 15:23:07 +0100
