=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: lisp
 Priority: extra
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 7.2.5), libx11-dev
-Standards-Version: 3.8.4
-Homepage: http://t3x.org/s9fes/
+Build-Depends: debhelper (>= 8),
+	libncurses5-dev | libncurses-dev | ncurses-dev,
+	libx11-dev
+Standards-Version: 3.9.2
+Homepage: http://t3x.org/
 Vcs-Git: git://git.debian.org/git/collab-maint/scheme9.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/scheme9.git
