## scheme9 2012.12.17

=== debian/changelog ===
scheme9 (2012.12.17-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 24 Dec 2012 09:56:02 +0000

scheme9 (2012.11.30-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 03 Dec 2012 15:59:35 +0000

scheme9 (2012.11.01-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 05 Nov 2012 14:05:18 +0000
