## scheme9 2013.01.09

=== Makefile ===
--- 
+++ 
@@ -60,8 +60,12 @@
 # Set up environment to be used during the build process
 BUILD_ENV=	env S9FES_LIBRARY_PATH=.:lib:ext:contrib
 
-all:	s9 s9.image s9.1.gz s9.1.txt lib/syntax-rules.scm \
+default:	s9 s9.image s9.1.gz s9.1.txt lib/syntax-rules.scm \
 		lib/matcher.scm
+
+all:	default s9e
+
+s9e:	s9e-core.image
 
 s9:	s9.o s9.h $(EXTRA_OBJS)
 	$(CC) -o s9 $(LDFLAGS) s9.o $(EXTRA_OBJS) $(EXTRA_LIBS)
@@ -71,8 +75,7 @@
 
 
 s9.image:	s9 s9.scm s9-real.scm ext/unix.scm ext/curses.scm config.scm
-	rm -f s9.image && \
-		$(BUILD_ENV) ./s9 -n $(EXTRA_SCM) -l config.scm -d s9.image
+	$(BUILD_ENV) ./s9 -i - -n $(EXTRA_SCM) -l config.scm -d s9.image
 
 s9.1.gz:	s9.1
 	sed -e "s,@LIBDIR@,$(LIBDIR)," <s9.1 |gzip -9 >s9.1.gz
@@ -83,6 +86,12 @@
 curses.o:	ext/curses.c s9.h
 	$(CC) $(CFLAGS) $(DEFS) -I . -o curses.o -c ext/curses.c
 
+s9e-core.image:	s9 s9.scm s9-real.scm ext/unix.scm ext/curses.scm \
+		contrib/s9e.scm
+	$(BUILD_ENV) ./s9 -i - -n -l ext/unix.scm -l ext/curses.scm \
+		-l ext/parse-optionsb.scm -l contrib/s9e.scm \
+		-d s9e-core.image
+
 lint:
 	gcc -g -Wall -ansi -pedantic s9.c && rm a.out
 
@@ -107,6 +116,8 @@
 tests: test realtest srtest libtest systest
 
 install:	install-s9 install-util
+
+install-all:	install-s9 install-util install-s9e install-progs
 
 # old version of install(1) may need -c
 #C=-c
@@ -141,6 +152,13 @@
 		  $(BINDIR)/scm2html	\
 		  $(BINDIR)/scmpp
 
+install-s9e:	s9e-core.image
+	ln -fs $(BINDIR)/s9 $(BINDIR)/s9e-core
+	install $C -m 0644 s9e-core.image $(LIBDIR)
+	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
+		<prog/s9e1.scm >$(BINDIR)/s9e
+	-chmod +x $(BINDIR)/s9e
+
 install-progs:
 	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
 		<prog/advgen.scm >$(BINDIR)/advgen
@@ -167,7 +185,11 @@
 		  $(BINDIR)/s9hts	\
 		  $(BINDIR)/soccat
 
-deinstall:
+deinstall:	deinstall-s9 deinstall-util
+
+deinstall-all:	deinstall-s9 deinstall-util deinstall-s9e deinstall-progs
+
+deinstall-s9:
 	rm -f $(LIBDIR)/help/* && rmdir $(LIBDIR)/help
 	rm -f $(LIBDIR)/* && rmdir $(LIBDIR)
 	rm -f $(BINDIR)/s9
@@ -190,6 +212,10 @@
 	      $(BINDIR)/s9hts		\
 	      $(BINDIR)/soccat
 
+deinstall-s9e:
+	rm -f $(BINDIR)/s9e-core	\
+	      $(LIBDIR)/s9e-core.image
+
 tabs:
 	@find . -name \*.scm -exec grep -l "	" {} \;
 
@@ -197,7 +223,7 @@
 	./s9 -f util/check-descr.scm
 
 clean:
-	rm -f s9 s9.image s9e.image test.image s9.1.gz *.o *.core \
+	rm -f s9 s9.image s9e-core.image test.image s9.1.gz *.o *.core \
 		CATEGORIES.html HACKING.html core s9fes.tgz __testfile__ 
 
 new-version:
