=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Build-Depends: debhelper (>= 9),
 	libncurses5-dev | libncurses-dev | ncurses-dev,
 	libx11-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://t3x.org/
-Vcs-Git: git://git.debian.org/git/collab-maint/scheme9.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/scheme9.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/scheme9.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/scheme9.git
 
 Package: scheme9
 Architecture: any
