## scheme9 2014.08.04

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,19 @@
 # Scheme 9 from Empty Space
 # Makefile (obviously)
-# By Nils M Holm, 2007-2012
+# By Nils M Holm, 2007-2014
 # Placed in the Public Domain.
 
 # Change at least this line:
 PREFIX= /u
 
+# Base version and Release
+BASE=		20140708
+RELEASE=	20140804
+
 # Override default compiler and flags
-CC=	gcc
+# CC=	cc
 CFLAGS=	-g -Wall -ansi -pedantic -O2
-
-# You may try one of the following, if you get "wrong interpreter" errors
-#LDFLAGS+=	-Wl,-no_pie
-#LDFLAGS+=	-no_pie
-#LDFLAGS+=	-fno_pie
+EDOC=	prog/edoc.scm.edoc
 
 # Which OS are we using (unix or plan9)?
 OSDEF=	-Dunix
@@ -28,7 +28,7 @@
 EXTRA_SCM+=	-l ext/curses.scm
 EXTRA_OBJS+=	curses.o
 EXTRA_INIT+=	curs_init();
-EXTRA_LIBS+=	-lcurses
+EXTRA_LIBS+=	-lncurses
 
 # Uncomment this and add REALNUM to DEFS (below) to include
 # real number arithmetics
@@ -63,11 +63,9 @@
 BUILD_ENV=	env S9FES_LIBRARY_PATH=.:lib:ext:contrib
 
 default:	s9 s9.image s9.1.gz s9.1.txt lib/syntax-rules.scm \
-		lib/matcher.scm
-
-all:	default s9e
-
-s9e:	s9e-core.image
+		lib/matcher.scm contrib/bottles.scm
+
+all:	default
 
 s9:	s9.o s9.h $(EXTRA_OBJS)
 	$(CC) -o s9 $(LDFLAGS) s9.o $(EXTRA_OBJS) $(EXTRA_LIBS)
@@ -88,14 +86,8 @@
 curses.o:	ext/curses.c s9.h
 	$(CC) $(CFLAGS) $(DEFS) -I . -o curses.o -c ext/curses.c
 
-s9e-core.image:	s9 s9.scm s9-real.scm ext/unix.scm ext/curses.scm \
-		contrib/s9e.scm
-	$(BUILD_ENV) ./s9 -i - -n -l ext/unix.scm -l ext/curses.scm \
-		-l ext/parse-optionsb.scm -l contrib/s9e.scm \
-		-d s9e-core.image
-
 lint:
-	gcc -g -Wall -ansi -pedantic s9.c && rm a.out
+	cc -g -Wall -ansi -pedantic -O3 s9.c && rm a.out
 
 test:	s9 test.image
 	$(BUILD_ENV) ./s9 -i test -f util/test.scm
@@ -103,7 +95,7 @@
 libtest:	s9 test.image
 	$(BUILD_ENV) sh util/libtest.sh
 
-systest:	s9 test.image
+systest:	s9 test.image s9.image
 	$(BUILD_ENV) ./s9 -i test -f util/systest.scm
 
 srtest:	s9 test.image
@@ -119,7 +111,7 @@
 
 install:	install-s9 install-util
 
-install-all:	install-s9 install-util install-s9e install-progs
+install-all:	install-s9 install-util install-progs
 
 # old version of install(1) may need -c
 #C=-c
@@ -154,13 +146,6 @@
 		  $(BINDIR)/scm2html	\
 		  $(BINDIR)/scmpp
 
-install-s9e:	s9e-core.image
-	ln -fs $(BINDIR)/s9 $(BINDIR)/s9e-core
-	install $C -m 0644 s9e-core.image $(LIBDIR)
-	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
-		<prog/s9e1.scm >$(BINDIR)/s9e
-	-chmod +x $(BINDIR)/s9e
-
 install-progs:
 	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
 		<prog/advgen.scm >$(BINDIR)/advgen
@@ -171,7 +156,7 @@
 	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
 		<prog/dupes.scm >$(BINDIR)/dupes
 	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
-		<prog/edoc.scm >$(BINDIR)/edoc
+		<prog/edoc.scm.edoc >$(BINDIR)/edoc
 	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
 		<prog/htmlify.scm >$(BINDIR)/htmlify
 	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
@@ -189,7 +174,7 @@
 
 deinstall:	deinstall-s9 deinstall-util
 
-deinstall-all:	deinstall-s9 deinstall-util deinstall-s9e deinstall-progs
+deinstall-all:	deinstall-s9 deinstall-util deinstall-progs
 
 deinstall-s9:
 	rm -f $(LIBDIR)/help/* && rmdir $(LIBDIR)/help
@@ -214,10 +199,6 @@
 	      $(BINDIR)/s9hts		\
 	      $(BINDIR)/soccat
 
-deinstall-s9e:
-	rm -f $(BINDIR)/s9e-core	\
-	      $(LIBDIR)/s9e-core.image
-
 tabs:
 	@find . -name \*.scm -exec grep -l "	" {} \;
 
@@ -225,8 +206,9 @@
 	./s9 -f util/check-descr.scm
 
 clean:
-	rm -f s9 s9.image s9e-core.image test.image s9.1.gz *.o *.core \
-		CATEGORIES.html HACKING.html core s9fes.tgz __testfile__ 
+	rm -f s9 s9.image test.image s9.1.gz *.o *.core \
+		CATEGORIES.html HACKING.html core s9fes-$(RELEASE).tgz \
+		s9fes-$(BASE).tgz __testfile__ 
 
 new-version:
 	vi edoc/s9.c.edoc CHANGES
@@ -238,7 +220,8 @@
 	vi util/make-help-links \
 		util/descriptions \
 		util/categories.html
-	clear
+	cd help && s9 -f ../util/procedures.scm >INDEX
+	@echo
 	@echo "Now copy the new help pages from help-new to help"
 	@echo "and run util/make-help-links."
 
@@ -275,14 +258,16 @@
 mksums:	clean
 	find . -type f | grep -v _checksums | txsum -m >_checksums
 
-stripped-arc:	clean s9.1.txt
+dist:	clean s9.1.txt
 	mv Makefile Makefile.ORIG
 	sed -e '/^#EDOC/,/^#CODE/d' <Makefile.ORIG >Makefile
 	cd .. && tar -cf - --exclude edoc --exclude freebsd-port s9 | \
-		gzip -9 > s9fes.tgz && mv s9fes.tgz s9
+			gzip -9 > s9fes-$(RELEASE).tgz && \
+		mv s9fes-$(RELEASE).tgz s9
 	mv -f Makefile.ORIG Makefile
-	ls -l s9fes.tgz | awk '{print int($$5/1024+.5)}'
+	ls -l s9fes-$(RELEASE).tgz | awk '{print int($$5/1024+.5)}'
 
 arc:	clean s9.1.txt
-	cd .. && tar cf - s9 | gzip -9 > s9fes.tgz && mv s9fes.tgz s9
-	ls -l s9fes.tgz | awk '{print int($$5/1024+.5)}'
+	cd .. && tar cf - s9 | gzip -9 > s9fes-$(BASE).tgz && \
+		mv s9fes-$(BASE).tgz s9
+	ls -l s9fes-$(BASE).tgz | awk '{print int($$5/1024+.5)}'
