=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	libncurses5-dev | libncurses-dev | ncurses-dev,
 	libx11-dev
 Standards-Version: 3.9.5
-Homepage: http://t3x.org/
+Homepage: http://www.t3x.org/s9fes/index.html
 Vcs-Git: git://anonscm.debian.org/collab-maint/scheme9.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/scheme9.git
