=== debian/changelog ===
scheme9 (2014.12.06-1) unstable; urgency=medium

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 10 Dec 2014 21:55:20 +0000

scheme9 (2014.11.05-1) unstable; urgency=medium

  * New Upstream Version
  * Bump standards version (no changes required)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 19 Nov 2014 23:36:34 +0000
